Package org.jboss.resteasy.specimpl

## Class VariantListBuilderImpl

- java.lang.Object
- - javax.ws.rs.core.Variant.VariantListBuilder
  - - org.jboss.resteasy.specimpl.VariantListBuilderImpl

-     public class VariantListBuilderImpl
      extends javax.ws.rs.core.Variant.VariantListBuilder

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariantListBuilderImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.Variant.VariantListBuilder` | `add()` |
    `List<javax.ws.rs.core.Variant>` | `build()` |
    `javax.ws.rs.core.Variant.VariantListBuilder` | `encodings​(String... encodings)` |
    `javax.ws.rs.core.Variant.VariantListBuilder` | `languages​(Locale... languages)` |
    `javax.ws.rs.core.Variant.VariantListBuilder` | `mediaTypes​(javax.ws.rs.core.MediaType... mediaTypes)` |

    - ### Methods inherited from class javax.ws.rs.core.Variant.VariantListBuilder

      `newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariantListBuilderImpl

          public VariantListBuilderImpl()

  - ### Method Detail

    - #### build

          public List<javax.ws.rs.core.Variant> build()

      Specified by:
        `build` in class `javax.ws.rs.core.Variant.VariantListBuilder`

    - #### add

          public javax.ws.rs.core.Variant.VariantListBuilder add()

      Specified by:
        `add` in class `javax.ws.rs.core.Variant.VariantListBuilder`

    - #### languages

          public javax.ws.rs.core.Variant.VariantListBuilder languages​(Locale... languages)

      Specified by:
        `languages` in class `javax.ws.rs.core.Variant.VariantListBuilder`

    - #### encodings

          public javax.ws.rs.core.Variant.VariantListBuilder encodings​(String... encodings)

      Specified by:
        `encodings` in class `javax.ws.rs.core.Variant.VariantListBuilder`

    - #### mediaTypes

          public javax.ws.rs.core.Variant.VariantListBuilder mediaTypes​(javax.ws.rs.core.MediaType... mediaTypes)

      Specified by:
        `mediaTypes` in class `javax.ws.rs.core.Variant.VariantListBuilder`